cURL
curl --request POST \
--url https://app.example.com/v1/admin/finance/payment-sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"id": "psess_01HZX...",
"bookingId": "<string>",
"invoiceId": "<string>",
"status": "open",
"amountCents": 119000,
"currency": "EUR",
"provider": "netopia",
"redirectUrl": "<string>",
"payerEmail": "<string>",
"payerName": "<string>",
"createdAt": "<string>"
}'const response = await fetch("https://app.example.com/v1/admin/finance/payment-sessions", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <token>"
},
body: JSON.stringify({
"id": "psess_01HZX...",
"bookingId": "<string>",
"invoiceId": "<string>",
"status": "open",
"amountCents": 119000,
"currency": "EUR",
"provider": "netopia",
"redirectUrl": "<string>",
"payerEmail": "<string>",
"payerName": "<string>",
"createdAt": "<string>"
}),
});
const data = await response.json();import requests
response = requests.post(
"https://app.example.com/v1/admin/finance/payment-sessions",
headers={
"Authorization": "Bearer <token>"
},
json={
"id": "psess_01HZX...",
"bookingId": "<string>",
"invoiceId": "<string>",
"status": "open",
"amountCents": 119000,
"currency": "EUR",
"provider": "netopia",
"redirectUrl": "<string>",
"payerEmail": "<string>",
"payerName": "<string>",
"createdAt": "<string>"
}
)
data = response.json()
{
"data": {
"id": "psess_01HZX...",
"status": "open",
"amountCents": 119000,
"currency": "EUR",
"bookingId": "<string>",
"invoiceId": "<string>",
"provider": "netopia",
"redirectUrl": "<string>",
"payerEmail": "<string>",
"payerName": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}Finance
Create a payment session
Create a new payment session.
POST
/
v1
/
admin
/
finance
/
payment-sessions
cURL
Authorizations
Staff session or API token issued by your Voyant app.
Body
application/json
Example:
"psess_01HZX..."
Available options:
open, requires_redirect, completed, failed, cancelled, expired Example:
"open"
Example:
119000
Required string length:
3Example:
"EUR"
Example:
"netopia"
Response
Created payment session
Show child attributes
Show child attributes
⌘I